petsc-3.12.4 2020-02-04
Report Typos and Errors

# TSARKIMEXSetType

Set the type of ARK IMEX scheme

### Synopsis

    #include "petscts.h"
    PetscErrorCode TSARKIMEXSetType(TS ts,TSARKIMEXType arktype)

Logically collective

### Input Parameter

| ts | - timestepping context
| arktype | - type of ARK-IMEX scheme

### Options Database

-ts_arkimex_type <1bee,a2,l2,ars122,2c,2d,2e,prssp2,3,bpr3,ars443,4,5> -

### See Also

TSARKIMEXGetType(), TSARKIMEX, TSARKIMEXType, TSARKIMEX1BEE, TSARKIMEXA2, TSARKIMEXL2, TSARKIMEXARS122, TSARKIMEX2C, TSARKIMEX2D, TSARKIMEX2E, TSARKIMEXPRSSP2,
TSARKIMEX3, TSARKIMEXBPR3, TSARKIMEXARS443, TSARKIMEX4, TSARKIMEX5

### Level

intermediate

### Location

src/ts/impls/arkimex/arkimex.c

### Examples

src/ts/examples/tutorials/extchem.c.html

### Implementations

TSARKIMEXSetType_ARKIMEX in src/ts/impls/arkimex/arkimex.c
Index of all TS routines
Table of Contents for all manual pages
Index of all manual pages